# Dev_Poll_Reactor.cpp File Reference

`#include "ace/OS_NS_errno.h"`
`#include "ace/Dev_Poll_Reactor.h"`
`#include "ace/Signal.h"`
`#include "ace/OS_NS_unistd.h"`
`#include "ace/OS_NS_fcntl.h"`
`#include "ace/OS_NS_stropts.h"`
`#include "ace/Handle_Set.h"`
`#include "ace/Reactor.h"`
`#include "ace/Timer_Heap.h"`
`#include "ace/Timer_Queue.h"`
`#include "ace/ACE.h"`
`#include "ace/Reverse_Lock_T.h"`
`#include "ace/Recursive_Thread_Mutex.h"`
`#include "ace/Null_Mutex.h"`
`#include "ace/os_include/os_poll.h"`
`#include "ace/OS_NS_sys_mman.h"`

Include dependency graph for Dev_Poll_Reactor.cpp:

## Functions

void | polite_sleep_hook (void *)

## Function Documentation

void polite_sleep_hook | ( | void * |  | ) | `[static]`